<?php
/**
 * Ahthor: lf
 * Email: job@feehi.com
 * Blog: http://blog.feehi.com
 * Date: 2016/4/514:01
 */
namespace feehi\components;

use yii;
use yii\base\Component;
use common\models\Options;

class Feehi extends Component{

    public $title = '';
    public $seo_title = '';
    public $keywords = '';
    public $description = '';
    public $website_status = 1;
    public $webiste_language = 'en-US';
    public $website_timezone = 'Asia/Shanghai';
    public $website_statics_script = '';

    public function __construct()
    {
        parent::__construct();
        $data = Options::find()->where(['name'=>['website_title', 'seo_keywords', 'seo_description', 'website_status','webiste_language', 'website_timezone']])->asArray()->indexBy("name")->all();//var_dump($data);die;
        if( isset($data['website_title']) && $data['website_title']['value'] ) $this->title = $data['website_title']['value'];
        if( isset($data['seo_title']) && $data['seo_title']['value'] ) $this->title = $data['seo_title']['value'];
        if( isset($data['seo_keywords']) && $data['seo_keywords']['value'] ) $this->keywords = $data['seo_keywords']['value'];
        if( isset($data['seo_description']) && $data['seo_description']['value'] ) $this->description = $data['seo_description']['value'];
        if( isset($data['website_status']) ) $this->website_status = $data['website_status']['value'];
        if( isset($data['website_language']) && $data['website_language']['value'] ) $this->webiste_language = $data['website_language']['value'];
        if( isset($data['website_timezone']) && $data['website_timezone']['value'] ) $this->website_timezone = $data['website_timezone']['value'];
        if( isset($data['website_statics_script']) && $data['website_statics_script']['value'] ) $this->website_timezone = $data['website_statics_script']['value'];
    }

    public function init()
    {
        parent::init(); // TODO: Change the autogenerated stub
        $data = Options::find()->where(['type'=>Options::TYPE_CUSTOM, 'autoload'=>1])->asArray()->all();//var_dump($data);die;
        foreach ($data as $v){
            $this->{$v['name']} = $v['value'];
        }
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }

    public static function setConfig()
    {
        if(!yii::$app->feehi->website_status) yii::$app->catchAll = ['site/offline'];
        yii::$app->language = yii::$app->feehi->webiste_language;
        yii::$app->timeZone = yii::$app->feehi->website_timezone;
    }

}